foo2zjs (20170320dfsg0-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't recommend tk on Ubuntu (Closes: #886179)

 -- Didier Raboud <odyx@debian.org>  Sun, 25 Feb 2018 16:41:56 +0100

foo2zjs (20170320dfsg0-3) unstable; urgency=medium

  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 14:30:11 +0100

foo2zjs (20170320dfsg0-2) unstable; urgency=low

  * Migrate 20170320 to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 17:05:18 +0200

foo2zjs (20170320dfsg0-1) experimental; urgency=low

  * New 20170320 upstream release
    - Add ddstdecode, for decoding some Ricoh printers:
      - Ricoh SP 112
      - Ricoh SP 201Nw

  * Install the ddstdecode-related files
  * DFSG repack (no changes from previous releases)
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Tue, 02 May 2017 11:58:23 +0200

foo2zjs (20160902dfsg0-2) unstable; urgency=medium

  * Update patch to getweb to fix installation of icm files
    (Closes: #840129)

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Oct 2016 18:38:08 +0200

foo2zjs (20160902dfsg0-1) unstable; urgency=medium

  * New 20160902 upstream release
    - New printers:
      + Xerox Phaser 3010 using the foo2hbpl2 driver
      + Xerox Phaser 3040 using the foo2hbpl2 driver

  * DFSG repack (no changes from previous releases)
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Initialize git-dpm and rephrase most patches' descriptions

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Oct 2016 11:54:01 +0200

foo2zjs (20160313dfsg0-2) unstable; urgency=medium

  [ Colin Watson ]
  * Explicitly prefer cups-filters as the real provider of foomatic-filters

 -- Didier Raboud <odyx@debian.org>  Sat, 18 Jun 2016 15:06:36 +0200

foo2zjs (20160313dfsg0-1) unstable; urgency=medium

  * New 20160313 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Bump S-V to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Apr 2016 22:04:14 +0200

foo2zjs (20151024dfsg0-2) unstable; urgency=medium

  * Add patch to build manpages & manual reproducibly

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Feb 2016 11:35:42 +0100

foo2zjs (20151024dfsg0-1) unstable; urgency=medium

  * New 20151024 upstream release
    - New Printer: Epson AcuLaser CX17NF using the foo2hbpl2 driver

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Dec 2015 17:29:39 +0100

foo2zjs (20150704dfsg0-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Sep 2015 18:02:31 +0200

foo2zjs (20150704dfsg0-1) experimental; urgency=low

  * New 20150704 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Add gbp.conf
  * Bump Standards-Version to 3.9.6 without changes needed
  * Update the Vcs-* entries for the https variants

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Aug 2015 13:48:47 +0200

foo2zjs (20150511dfsg0-1) unstable; urgency=medium

  * New 20150511 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Update get-orig-source to cope with the new branch names

 -- Didier Raboud <odyx@debian.org>  Sun, 05 Jul 2015 17:17:01 +0200

foo2zjs (20140925dfsg0-3) unstable; urgency=medium

  [ Peter De Wachter ]
  * Fix laserjet1018 appearance and disappearance loop: (Closes: #663868)
    - update the 30-udev-rules.patch to add an 'ACTION="add"' to avoid running
      the firmware upload script on unplug,
    - add patch 97-hplj1000-fix-firmware-upload-infite-loop.patch to ignore the
      irrelevant events and thus cut the loop short.

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Oct 2014 22:51:47 +0200

foo2zjs (20140925dfsg0-2) unstable; urgency=medium

  * Put tix to Recommends on Debian and to Suggests on Ubuntu and derivatives

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 18:03:18 +0200

foo2zjs (20140925dfsg0-1) unstable; urgency=medium

  * New 20140925 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Push the system-lcms patch from Michael up the pile

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 09:58:06 +0200

foo2zjs (20140519dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use psicc from lcms2 (closes: #757384).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Sep 2014 21:34:38 +0000

foo2zjs (20140519dfsg0-2) unstable; urgency=medium

  * Add autopkgtest suite
  * Use the Debian-provided liblcms1
    - Add liblcms1-dev to Build-Depends;
    - Add 20-system-liblcms.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Aug 2014 16:59:15 +0200

foo2zjs (20140519dfsg0-1) unstable; urgency=medium

  * New 20140519 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches to fix three more typos and hyphen-as-minus.

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jun 2014 14:57:56 +0200

foo2zjs (20140322dfsg0-1) unstable; urgency=medium

  * New 20140322 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 13:14:56 +0100

foo2zjs (20140302dfsg0-1) unstable; urgency=medium

  * New 20140302 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 17:23:13 +0100

foo2zjs (20140209dfsg0-1) unstable; urgency=medium

  * New 20140209 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Use dh_pyppd's --archive-filename option instead of renaming the
    archive by hand
  * Refresh patches, update the spelling fixes'
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Feb 2014 09:57:22 +0100

foo2zjs (20131225dfsg0-6) unstable; urgency=low

  * Move the ppd-updater cups trigger to -common, where it belongs

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jan 2014 11:24:02 +0100

foo2zjs (20131225dfsg0-5) unstable; urgency=low

  * Add dh_listpackage package conditionals to fix arch-only FTBFS
  * Add lintian override for manpages not shipped in the same binary
    package

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jan 2014 10:12:49 +0100

foo2zjs (20131225dfsg0-4) unstable; urgency=low

  * Correct the name of the pyppd-compressed PPD set to correspond to
    the earlier ppd-updater driver name, thanks to Till Kamppeter
  * Let printer-driver-foo2zjs-common Recommend printer-driver-foo2zjs

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jan 2014 22:32:17 +0100

foo2zjs (20131225dfsg0-3) unstable; urgency=low

  * Fix the patch to avoid the implicit declaration of swab() in
    cmsio1.c

 -- Didier Raboud <odyx@debian.org>  Wed, 08 Jan 2014 12:52:44 +0100

foo2zjs (20131225dfsg0-2) unstable; urgency=low

  * Split printer-driver-foo2zjs into -common to let all
    arch-independent files be shared across architectures
  * Fix leftover 'supress' typo in oakdecode

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jan 2014 17:44:09 +0100

foo2zjs (20131225dfsg0-1) unstable; urgency=low

  * New 20131325 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  
  * Refresh all patches
  * Add patch to avoid the implicit declaration of swab() in cmsio1.c
  * Update Makefile patch to push CPPFLAGS and LDFLAGS to all needed
    places
  * Move getweb from usr/bin/ to usr/sbin/ as it needs to be run by root
    (as patched by Debian)
  * Stop installing the upstream changelog twice
  * Update 90-manpages patch to fix more errors and all hyphen-as-minus-
    sign occurences
  * Update 91-spelling-fixes to fix more occurences of 'langauge' or
    'similiar'
  * Move hplj1000 and all linked scripts from /usr/sbin/ to /lib/udev as
    they are called by the package udev rules-file
  * Add lintian override for /lib/firmware/hp empty directory
  * Only ship command2foo2lava-pjl in cups filters

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jan 2014 15:43:17 +0100

foo2zjs (20131118dfsg0-1) unstable; urgency=low

  * New 20131118 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Update patches to cope with new upstream release
  * Drop foo2zjs transitional package which reached stable

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 18:30:05 +0100

foo2zjs (20130813dfsg0-1) unstable; urgency=low

  * New 20130813 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Don't block the get-orig-source if no patches are applied
  * Rebuild against pyppd >= 1.0.1
  * Refresh patches for new upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Sep 2013 20:31:55 +0200

foo2zjs (20130513dfsg0-1) unstable; urgency=low

  * New 20130513 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2013 11:21:27 +0200

foo2zjs (20130306dfsg0-2) experimental; urgency=low

  [ Till Kamppeter ]
  * Removed "Recommends: foomatic-db-engine" (LP: #1152831)

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Mar 2013 12:43:40 +0100

foo2zjs (20130306dfsg0-1) experimental; urgency=low

  * New 20130306 upstream release.
    - Cleanup on foo2hblp2.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Amend 20130220dfsg0-2 changelog entry to revert the
    Depends/Recommends explanation between Ubuntu and Debian back to
    what was implemented.
  * Add get-orig-source target to facilitate new upstream version
    import.
  * Add foo2hblp2 in Description.

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Mar 2013 15:13:33 +0100

foo2zjs (20130303dfsg0-1) experimental; urgency=low

  * New 20130303 upstream release. (LP: #984424)
    - Experimental support for three new printers:
      - Fuji Xerox DocuPrint CP205
      - Dell 1355
      - Xerox WorkCentre 6015
    - Refresh all patches
    - Add foo2hbpl2 binary, wrapper and manpages

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Rewrite the package content installation to allow the use of
    --fail-missing in dh_install.
  * Install all available PPDs before the pyppd run, to make sure we
    don't forget one.
  * Rewrite debian/copyright with Copyright-Format 1.0 style.
  * Rebuild PPDs because we can.
    - Add foomatic-db-engine to Build-Depends;
    - Update 10-makefile.patch to use system-provided foomatic-ppdfile;
    - Run 'all' and 'ppd' Makefile targets.

 -- Didier Raboud <odyx@debian.org>  Tue, 05 Mar 2013 10:37:06 +0100

foo2zjs (20130220dfsg0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Add time to Build-Depends, helps getting the tests run further.
  * Update 10-makefile.patch to enforce LDFLAGS usage and another case
    of CFLAGS overriding; also add DEP-3 headers.
  * Put mscompress to Recommends on Debian and to Depends on Ubuntu and
    derivatives, drops the need of a hand-merge by Ubuntu.

  [ Till Kamppeter ]
  * Add 96-hplj1000-fix-cups-usb-backend-firmware-upload.patch.
    The firmware upload script tried to upload the firmware via the usblp
    kernel module and with the CUPS USB backend (using libusb) in parallel,
    making the printer crash. (LP: #1003843)

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Feb 2013 18:32:51 +0100

foo2zjs (20130220dfsg0-1) experimental; urgency=low

  * New 20130220 upstream release. (LP: #1130918)
    - Install new printer's PPDs

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh all patches.

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Feb 2013 08:29:02 +0100

foo2zjs (20130113dfsg0-1) experimental; urgency=low

  * New 20130113 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh all patches.

 -- Didier Raboud <odyx@debian.org>  Sun, 13 Jan 2013 17:01:27 +0100

foo2zjs (20120510dfsg0-1) unstable; urgency=low

  * New 20120510 upstream release.
    - Acknowledge the expiration of the JBIG-KIT patent.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Drop the source lintian override for debhelper 9.

 -- Didier Raboud <odyx@debian.org>  Wed, 23 May 2012 17:59:07 +0200

foo2zjs (20120223dfsg0-2) unstable; urgency=low

  * Use the Debian-provided libjbig:
    - Add libjbig-dev to Build-Depends;
    - Add 20-system-libjbig.patch.
  * Bump Standards-Version to 3.9.3 without changes needed.
  * Bump debhelper Build-Dependency to 9.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 Apr 2012 10:22:26 +0200

foo2zjs (20120223dfsg0-1) unstable; urgency=low

  * New 20120223 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Remove Michael Koch from the Uploaders field (Closes: #654017)
  * Ship the devd hplj10xx.conf on kFreeBSD. (Closes: #662146)
  * Ship the udev rules file on Linux only.

 -- Didier Raboud <odyx@debian.org>  Sun, 04 Mar 2012 21:22:28 +0100

foo2zjs (20111202dfsg0-1) unstable; urgency=low

  * New 20111202 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Bump Build-Depends on pyppd to 0.4.9-6~ to make sure the compressed
    PPD archive is named correctly.

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Dec 2011 10:10:24 +0100

foo2zjs (20111023dfsg0-1) unstable; urgency=low

  * New 20111023 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches, delete 96-udev-firmware-script-cups-libusb-support.patch:
    included upstream.
  * Rename foo2zjs to printer-driver-foo2zjs, add transitional package.
  * Bump debhelper compat to 9, for auto- buildflags.
  * Drop superflous ppd-updater shebang.

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Oct 2011 11:52:45 +0200

foo2zjs (20110811dfsg-1) unstable; urgency=low

  * New 20110811 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Replace the PPD-updater postinst code by CUPS' trigger.
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Compress PPDs using {dh_,}pyppd.
    - Add versioned pyppd Build-Depends.
    - Call dh_pyppd after installing the PPDs, don't compress them individually.
    - Update the ppd-updater file with the new regexp.

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Aug 2011 14:00:20 +0200

foo2zjs (20110722dfsg-3) unstable; urgency=low

  * Update 60-getweb.in.patch to add set -e (Closes: #633870 again).

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 23:27:03 +0200

foo2zjs (20110722dfsg-2) unstable; urgency=low

  * Install usb_printerid and its manpage only in Linux (Closes: #635397).

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 15:09:41 +0200

foo2zjs (20110722dfsg-1) unstable; urgency=low

  New 20110525 upstream release.

  [ Didier Raboud ]
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Uploaders:
    - Add myself.
    - Drop Steffen Joeris, with thanks for his past work.
  * Package relationships:
    - Demote cups and cups-client from Depends to Recommends (Closes: #622125).
      This allows one to use foo2zjs with lprng.
    - Add a Recommends on mscompress.
  * Patches:
    - Refresh all.
    - Update 30-udev-rules patch to cope with cups' usblp blacklisting.
    - Add 40-desktop-direct-launch.patch to remove the superfluous "wish"
      launch (avoids a lintian warning).
    - Update debian/patches/60-getweb.in.patch:
      Fix CVE-2011-2684 "Insecure Temporary File" (CWE-277) in
      /usr/bin/getweb by creating a safe temporary directory with mktemp.
      (Closes: #633870, LP: #805370)
    - Enhance 60-getweb.in.patch to forbid live update of /usr/bin/getweb as it
      is packaged. Also correct the typo in getweb. (Closes: #632680)
    - Update 60-hplj1000.patch to use the correct paths in kFreeBSD too.
    - Update 90-manpages.patch to fix more hyphen-used-as-minus mistakes. 
    - Add 91-spelling-fixes.patch to fix 'precission' spelling mistake.
  * Convert to source format 3.0 (quilt)
  * Convert packaging to "tiny" dh7 style.
  * Migrate packaging to Git from Subversion, update Vcs-* fields.
  * Bump Standards-Version to 3.9.2 without changes needed.

  [ Till Kamppeter ]
  * debian/rules: Added "-dNOINTERPOLATE" to the Ghostscript command lines to
    make Ghostscript rendering the pages significantly faster.
  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Added support for uploading firmwae into printers using the USB backend of
    CUPS. This way the firmware upload also works without the usblp kernel
    module. (Closes: #630227, #630228)
  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload
    into the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. (LP: #783389)

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Jul 2011 17:53:17 +0200

foo2zjs (20110210dfsg-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/README.Debian:
    + rephrase paragraph about "HPLJ 10xx Replaced Paper" icon.

  [ Till Kamppeter ]
  * Merge from Ubuntu natty.
  * debian/patches/series: update.
  * debian/patches/40-desktop-nodisplay-true.patch:
    + do not display the "HPLJ 10xx Replaced Paper" icon by default
      (see #579154).
  * debian/rules:
    + install Apport hook on Ubuntu and derivatives.
  * debian/ubuntu/apport-hook.py: new file.

 -- Luca Capello <luca@pca.it>  Wed, 30 Mar 2011 23:20:11 +0200

foo2zjs (20110210dfsg-1) unstable; urgency=low

  * Move to team maintenance: Debian Printing Team at
      http://wiki.debian.org/Teams/Printing

  [ Luca Capello ]
  * New upstream version (Closes: #594322).
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/control:
    + team maintenance.
    + Build-Depends: on dc.
  * debian/foo2zjs.dirs:
    + add /usr/lib/cups/filter/.
  * debian/foo2zjs-icc2ps.1:
    - remove, upstream now ships a different version.
  * debian/manpages:
    - remove, now useless.
  * debian/patches/series: update.
  * debian/patches/20-honour-papersize.patch:
    + add a note that this patch is now useless, given that
      starting with this version it is done in debian/rules.
  * debian/patches/20-PDF-input-data-in-PPDs.patch:
    + fake patch to show differences with upstream, it is
      done in debian/rules.
  * debian/patches/40-desktop-encoding-correction.patch,
    debian/patches/60-getweb.in.patch:
    + Update to work with new foo2zjs source.
  * debian/rules:
    + add pointers to the patches above.

  [ Till Kamppeter ]
  * Merge from Ubuntu maverick.
  * debian/control:
    + Add dependency on cups and cups-client to ensure that automatic
      update of the PPDs of existing print queues works.
  * debian/foo2zjs.postinst:
    + Automatically update the PPD files for existing queues to the
      versions supplied with this package.
  * debian/patches/20-honour-papersize.patch,
    debian/patches/30-udev-rules.patch,
    debian/patches/70-lib-firwmare-hp.patch,
    debian/patches/80-getweb.in.patch,
    debian/patches/90-manpages.patch:
    + Update to work with new foo2zjs source.
  * debian/patches/60-getweb.in.patch:
    + Install ICM files into the directories of the correct drivers.
  * debian/rules:
    + Add "CUPS_SERVERBIN=..." to the "make install" command line.
    + Add "*cupsFilter" line to accept PDF input data to the PPDs.
    + Add /etc/papersize support.
    + Add useful comments.
    + Correct upstream link to the CUPS filter.
    + Install additional PPDs and compress them.

  [ Steve Langasek ]
  * Merge from Ubuntu maverick.
  * debian/patches/30-udev-rules.dpatch:
    + Add udev rule for HP Laserjet P1505n.

 -- Luca Capello <luca@pca.it>  Sun, 20 Feb 2011 19:19:18 +0100

foo2zjs (20090908dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Depends: on dc (Closes: #609761).

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jan 2011 14:49:08 +0100

foo2zjs (20090908dfsg-5) unstable; urgency=low

  [ Luca Capello ]
  * debian/README.Debian:
    + add a note about the "HPLJ 10xx Replaced Paper" GUI requiring
      tk8.4 and tix, now Suggests:.
  * debian/control:
    + Standards-Version to 3.9.1, no changes needed, thanks to lintian.
  * debian/copyright:
    + add information for cups.h (from the CUPS Imaging library).
    + add information for msexpand (Perl, no relationship with the
      one from the mscompress package).
    - remove obsolete information for hannah-foo2zjs.

  [ Till Kamppeter ]
  * Merge from Ubuntu maverick.
  * debian/control:
    + Depends: on foomatic-filters.
  * debian/patches/series: update.
  * debian/patches/92-udev-firmware-script-fixes.patch:
    + When loading firmware into the printer via UDEV script, wait 3
      seconds, so that UDEV scripts for automatic printer setup do not
      interfere with the firmware transfer to the printer.

  [ Steve Langasek ]
  * Merge from Ubuntu maverick.
  * debian/control:
    - Drop tk8.4 and tix Recommends: to Suggests: (Closes: #601591).

 -- Luca Capello <luca@pca.it>  Sun, 14 Nov 2010 19:45:26 +0100

foo2zjs (20090908dfsg-4) unstable; urgency=low

  * debian/control:
    + list all the provided drivers for better searching, thanks to
      Sam Morris <sam@robots.org.uk> (Closes: #579962).
  * debian/foo2zjs.doc-base:
    + new file to register the documentation via doc-base, thanks to
      lintian.
  * debian/NEWS:
    + add trailing blank line for apt-listchanges, thanks to lintian.
  * debian/README.Debian:
    + add paragraph titles.
    + add paragraph about "HPLJ 10xx Replaced Paper" icon (see #579154).
  * debian/source/format:
    + new file, keep 1.0 format for now, thanks to lintian.

 -- Luca Capello <luca@pca.it>  Sat, 15 May 2010 19:21:25 +0200

foo2zjs (20090908dfsg-3) unstable; urgency=low

  * debian/foo2zjs.postinst:
    + move firmware files only if they are present, thus avoiding a
      "No such file or directory" error from mv during upgrades.

 -- Luca Capello <luca@pca.it>  Tue, 23 Mar 2010 11:54:44 +0100

foo2zjs (20090908dfsg-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + Standards-Version to 3.8.4, no changes needed, thanks to lintian.
    + Build-Depends: on quilt to manage patches.
    + Recommends: unzip for 'getexe' function in getweb script.
    + add ${misc:Depends}, thanks to lintian.
  * debian/foo2zjs.dirs:
    + add /lib/firmware/hp/.
    - remove now useless /usr/share/foo2zjs/tmp/.
  * debian/foo2zjs.postinst:
    + move user-downloaded firmwares to /lib/firwmare/hp/.
  * debian/NEWS:
    + notice the new location for firmwares.
  * debian/patches/*:
    + convert to quilt and refresh.
  * debian/patches/60-getweb.in.patch:
    + working directory is /tmp/foo2zjs/.
    + new 'puticm' function to install ICM files.
    + extract firmware for HP LaserJet P1006/1008/1505 printers as well.
    - remove wrong 'putfw' call for Minolta 2200 DL.
  * debian/patches/70-lib-firmware-hp.patch:
    + firmware directory is /lib/firmware/hp/ (Closes: #517957).
  * debian/README.source:
    + adapt to quilt.
  * debian/rules:
    + adapt to quilt.
    - remove touch call for /usr/share/foo2zjs/tmp/.placeholder.

  [ Michael Koch ]
  * Removed Luca Bedogni from Uploaders as he is MIA (Closes: 550268).
  * Updated Build-Depends on debhelper to level 7.
  * Replaced dh_clean -h by dh_prep.

  [ Steve Langasek ]
  * debian/control: Breaks: udev (<< 136-1) to ensure the correct udev
    version is used.
  * debian/foo2zjs.preinst: when installing or upgrading, remove the
    old udev rules file /etc/udev/rules.d/11-hplj10xx.rules if it has
    not been locally modified.
  * debian/patches/30-udev-rules.dpatch (Closes: #558978):
    + 'BUS=="usb"' is deprecated, replaced with 'SUBSYSTEMS=="usb"'.
    + Removed UDEV rule items which conflict with the general UDEV rules
      for USB printers: 'NAME="usb/%k"', 'MODE="0666"'.
    + Change SYSFS to ATTRS.
  * debian/rules: install the udev rules file as
    /lib/udev/rules.d/85-hplj10xx.rules.

 -- Luca Capello <luca@pca.it>  Mon, 22 Mar 2010 17:09:44 +0100

foo2zjs (20090908dfsg-1) unstable; urgency=low

  * New upstream release.
    - supports Minolta mc1690MF (Closes: #545950)
  * debian/patches/60-hplj1000.dpatch: Removed last hunk as it is
    applied upstream.
  * debian/patches/70-printer-profile.dpatch: Added to work around
    deleting of printer-profile script in upstream Makefile.
  * debian/patches/90-manpages.dpatch: Updated to also fix manpage
    of printer-profile.
  * debian/README.source: Renamed from debian/README.Debian-source.

 -- Michael Koch <konqueror@gmx.de>  Mon, 14 Sep 2009 20:21:07 +0200

foo2zjs (20090301dfsg-5) unstable; urgency=low

  * Remove hannah-foo2zjs package as its now in its own source package.
  * debian/README.Debian-source: New file to describe usage of dpatch.
  * debian/control: Updated Standards-Version to 3.8.3.
  * debian/control: Add Vcs-Browser field.

 -- Michael Koch <konqueror@gmx.de>  Wed, 02 Sep 2009 08:49:26 +0200

foo2zjs (20090301dfsg-4) unstable; urgency=low

  * debian/hannah-package/gui.cpp: Fix list of argument names for getweb
    (Closes: #537325).
  * debian/patches/40-hplj1000.dpatch: Updated to also guard globbered
    names in find call (Closes: #526781).
  * debian/README.Debian: Clarify how hannah-foo2zjs and getweb are used
    (Closes: #503373, #529300).
  * debian/copyright: Link to /usr/share/common-licenses/GPL-2
    instead of /usr/share/common-licenses/GPL.
  * debian/control:
    + hannah-foo2zjs: Tighten Depends on kdebase-bin to (<< 4:4.4.0-1)
      (Closes: #460480).
    + Updated Standards-Version to 3.8.2.
  * debian/patches/60-getweb.in.dpatch: Exit with failure when called
    as non-root.
  * debian/patches/90-manpages.dpatch: New dpatch to fix manpage errors.

 -- Michael Koch <konqueror@gmx.de>  Sat, 01 Aug 2009 14:01:43 +0200

foo2zjs (20090301dfsg-3) unstable; urgency=low

  * debian/control:
    + s/tik/tix/ in Recommends:, my fault.
  * debian/foo2zjs.dirs:
    + sort alphabetically.
    + add /usr/share/pixmaps (Closes: #521992).
  * debian/foo2zjs.links:
    + list all links to be created for the hplj* helper programs.
    + install links for HP LaserJet P1xxx printers.
  * debian/patches/00list: update.
  * debian/patches/60-getweb.in.dpatch:
    + extract firmware for HP LaserJet P1005/1007 printers as well.
  * debian/patches/60-hplj1000.dpatch:
    + always load firmwares from /usr/share/foo2zjs/firmware.
  * debian/rules:
    + call dh_link only once.

 -- Luca Capello <luca@pca.it>  Thu, 02 Apr 2009 18:07:52 +0200

foo2zjs (20090301dfsg-2) unstable; urgency=low

  * debian/patches/30-udev-rules.dpatch:
    + for some printers, HP is lowercase, thanks to ilf
      <ilf@zeromail.org> (Closes: #519628).

 -- Luca Capello <luca@pca.it>  Wed, 18 Mar 2009 22:32:41 +0100

foo2zjs (20090301dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #466758)
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/*.1:
    - remove, use upstream instead.
  * debian/control:
    + Recommends: tk8.4 and tik for hplj10xx_gui.tcl, thanks to lintian.
  * debian/hannah-package/hanna.desktop:
    - remove now useless Encoding key, thanks to lintian.
  * debian/manpages:
    + install foo2zjs-icc2ps.1 only.
  * debian/patches/00list: update.
  * debian/patches/10-makefile.dpatch: refresh.
  * debian/patches/30-udevs-rules.dpatch: refresh.
  * debian/patches/40-desktop-encoding-correction.dpatch:
    - remove now useless Encoding key, thanks to lintian.
  * debian/patches/40-path-correction.dpatch: refresh.
  * debian/patches/50-fix-grotty-warnings:
    - do not apply, it requires a too long refresh and a better
      solution would be to fix the upstream manpage generation system.
  * debian/patches/60-getweb.in.dpatch: refresh.
  * debian/patches/70-getweb.in.dpatch:
    - remove, no more needed.
  * debian/watch:
    + new dummy file, thanks to lintian.

 -- Luca Capello <luca@pca.it>  Tue, 03 Mar 2009 09:43:35 +0100

foo2zjs (20070718dfsg-9) unstable; urgency=low

  * debian/control:
    + add myself to Uploaders:.
  * debian/patches/30-udev-rules.dpatch:
    + backport upstream fix to support udev hotplugging, thanks to
      ilf <ilf@zeromail.org> (Closes: #477923).

 -- Luca Capello <luca@pca.it>  Mon, 22 Dec 2008 13:13:25 +0100

foo2zjs (20070718dfsg-8) unstable; urgency=low

  * Fixed bashism in debian/patches/60-getweb.in.dpatch. Closes: #489576
  * Use su-to-root in debian/hannah-foo2zjs.menu and
    debian/hannah-package/hannah.desktop.
  * Use menu section Applications/System/Administration instead of
    Applications/System.
  * Use the Suggests from menu package for the Depends of hannah-foo2zjs
    to make su-to-root -X work always.
  * Build-Depends on ghostscript instead of gs-gpl.
  * Build-Depends on libcups2-dev instead of libcupsys2-dev.
  * Added Recommends for foo2zjs on wget. Neede by getweb script.
  * Exclude the manual.pdf from dh_compress.

 -- Michael Koch <konqueror@gmx.de>  Thu, 21 Aug 2008 18:16:23 +0200

foo2zjs (20070718dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add '80-getweb.in.dpatch' to fix bashism in /bin/sh script
    (Closes: #472895)
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 20:17:48 +0100

foo2zjs (20070718dfsg-7) unstable; urgency=medium

  * Added menu file for hannah-foo2zjs package (Closes: #444850).
   - Call dh_installmenu in debian/rules
   - Adjust debian/hannah-foo2zjs.dirs accordingly
  * Modified debian/rules to use /usr/share/dpatch/dpatch.make
  * Added a patch from a newer getweb because the firmware location has
  changed (Closes: #449426).

 -- Luca Bedogni <me@lucabedogni.it>  Thu, 15 Nov 2007 17:40:37 +1100

foo2zjs (20070718dfsg-6) unstable; urgency=low

  * debian/control:
        - Added the Homepage tag insted of displaing it in the long description
          (Closes: #439579).
        - Added Vcs-Svn tag.
  * Now hannah-foo2zjs display the output of an error (Closes:444852) 

 -- Luca Bedogni <me@lucabedogni.it>  Fri, 02 Nov 2007 01:06:58 +0100

foo2zjs (20070718dfsg-5) experimental; urgency=low

  * Change name of package hannah to hannah-foo2zjs to make
    it more related to foo2zjs (and because there is already
    a package in the archive called hannah)
   - Also rename the binary to hannah-foo2zjs and its references

 -- Steffen Joeris <white@debian.org>  Sun, 07 Oct 2007 17:13:46 +1000

foo2zjs (20070718dfsg-4) experimental; urgency=low

  [ Luca Bedogni ]
  * Now hannah is a standalone package
   - Moved debian/hannah to debian/hannah-package
   - Added the clean call for hannah-package in debian/rules
   - Added new package information to debian/control
  * Modified menu file for opening hannah with kdesu or gksu
    (Closes: #444850)

  [ Steffen Joeris ]
  * Fix cleanup for hannah and call it with make distclean
  * Remove dependency against kdebase-bin | gksu from foo2zjs, because
    this is satisfied via hannah now
  * Add hannah as a suggests for foo2zjs
  * Add foo2zjs as a depends to hannah
  * Add debian/copyright information

 -- Luca Bedogni <me@lucabedogni.it>  Sun, 07 Oct 2007 16:24:58 +1000

foo2zjs (20070718dfsg-3) experimental; urgency=low

  * Include first version of Hannah (GUI for downloading and installing
    the printer firmware) (Closes: #443994)
   - Add Hannah code to debian/hannah/*
   - Modify debian/rules to build hannah from source
   - Add build-depends against libqt4-dev
   - Generate the standard directory for .desktop files in debian/dirs
   - Install hannah.desktop into the standard desktop directory
   - Update README.Debian to point to Hannah
   - Renamed dpatch to 60-getweb.in.dpatch and adjusted it to match
     for Hannah
   - Use tmp file under /usr/share/foo2zjs/tmp for unpacking and
     preparing downloaded firmware
   - Add a depends against kdebase-bin | gksu to use either of both
     programs to become root, when calling hannah
  * Fix breaking line in 11-hplj10xx.rules to repair it
   (Closes: #443917) Thanks to Cristian Ionescu-Idbohrn for the patch


 -- Steffen Joeris <white@debian.org>  Sun, 30 Sep 2007 18:10:33 +1000

foo2zjs (20070718dfsg-2) unstable; urgency=low

  [ Luca Bedogni ]
  * Added 60-getweb.dpatch for improving the getweb script to install the
    firmware too, instead of download-only (Closes: #419038)

  [ Steffen Joeris ]
  * Update README.Debian and remove some useless information

  [ Michael Koch ]
  * Improved 60-getweb.dpatch to delete local files after putting them into
    firmware directory

 -- Michael Koch <konqueror@gmx.de>  Sat, 22 Sep 2007 21:58:30 +0200

foo2zjs (20070718dfsg-1) experimental; urgency=low

  [ Luca Bedogni ]
  * Modified patches to fit with new version
  * Removed Finn-Arne Johansen (Requested on #427678)
  * Added me (Luca Bedogni) as co-maintainer
  * Added Michael Koch as co-maintainer

  [ Steffen Joeris ]
  * Put the alioth list as maintainer and myself as co-maintainer
   - The package is now team maintained (Closes: #429872)
  * New upstream version (Closes: #427678)
  * DFSG repack
   - Removed binary file c5200mono.prn
   - Removed crd/qpdl/CLP* , because copyright is unclear
  * Make sure that the PPD files are installed (Closes: #427665)

 -- Steffen Joeris <white@debian.org>  Fri, 20 Jul 2007 18:07:24 +0200

foo2zjs (20061224-3) unstable; urgency=low

  * Make sure that the patches are cleaned up before the general
    cleanup and therefore avoid FTBFS during second build
    (Closes: #424277)
  * Make sure that upstream documentation and copyright information are
    not installed as they are not needed for debian
  * Make sure that the cleanup target is complete

 -- Steffen Joeris <white@debian.org>  Wed, 16 May 2007 15:44:32 +1000

foo2zjs (20061224-2) unstable; urgency=low

  * Upload to unstable

 -- Steffen Joeris <white@debian.org>  Sun, 06 May 2007 18:57:46 +1000
 
foo2zjs (20061224-1) experimental; urgency=low

  * New upstream release
  * Bump debhelper level to 5
  * Change my maintainer address
  * Change 30-udev-rules.dpatch to patch the path for the program
  * Change the path for the hplj1000 script (Closes: #402633)
  * Install the ChangeLog file from upstream
  * Still provide the hplj1000 script
  * Improve package description (Closes: #400036)
  * Remove old debian diversions file
  * Update debian/copyright
  * Patch the build system properly (10-makefile.dpatch)

 -- Steffen Joeris <white@debian.org>  Sat,  6 Jan 2007 00:56:38 +0100

foo2zjs (20060625dfsg-4) unstable; urgency=medium

  * Make sure that the symlinks are available (Closes: #390948)
    Thanks to Petre Todorov

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  8 Oct 2006 14:21:29 +1000

foo2zjs (20060625dfsg-3) unstable; urgency=medium

  * Correct the udev rules (30-udev-rules.dpatch) to make sure all of 
    the supported hp models work as expected (Closes: #390948)
  * Correct the path of the program location in hplj1000
    (40-path-correction.dpatch)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri,  6 Oct 2006 19:21:40 +1000

foo2zjs (20060625dfsg-2) unstable; urgency=low

  * Upload this version to unstable

  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 11 Aug 2006 20:58:53 +1000

foo2zjs (20060625dfsg-1) experimental; urgency=low

  * New upstream release
  * Bump standards version, no changes needed
  * Repack for DFSG compatibility
  * Provide usb_printerid again (Closes: #355576)
  * Provide the new firmware download scripts from upstream
  * Use modified hp10xx.rules file from upstream
  * Thanks for suggestions from Philippe Teuwen
  * Add build-dependency against foomatic-filters to make sure foomatic-rip
    is available

  * Upload sponsored by Morten Werner Olsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 27 Jul 2006 18:20:54 +1000

foo2zjs (20060124dfsg-1) unstable; urgency=low

  * new upstream release (Closes: #351413)
  * repack for DFSG compatibility
  * wrote manpage for okidecode, used authors description

  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  5 Feb 2006 15:31:09 +0100

foo2zjs (20051220dfsg-1) unstable; urgency=low

  * new upstream release
  * again have to repack it for DFSG compatibility
  * add additional explanation 
    (e.g. reason for repack and reformat of manpages) to README.Debian

  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun, 01 Jan 2006 14:45:28 +0100

foo2zjs (20051120dfsg-1) unstable; urgency=low

  [ Changes by Steffen Joeris ]
  * new upstream release
  * add some clean targets to debian/rules
  * modify make install in debian/rules
  * repack and rename to *dfsg because of binaries in source ;(
  * modify Makefile to recognize the dfsg changes
  * wrote README.Debian to inform users about the changes

  [ Changes by Finn-Arne Johansen ]
  * Added code to honour /etc/papersize (Closes: #237967)
    (20-honour-papersize.dpatch)

  * Upload sponsored by Petter Reinholdtsen.

 -- Finn-Arne Johansen <faj@bzz.no>  Fri,  2 Dec 2005 16:16:09 +0100

foo2zjs (20051113-1) unstable; urgency=low

  * New Maintainer and Co-Maintainer (Closes: #294813) 
  * New upstream release (Closes: #339761)
  * Added new clean rules because of new version
  * bumped standard version
  * cleaned up the debian/control
  * provide the full source from the author (Closes: #279830, #279829)
  * wrote all authors to debian/copyright
  * reformat the manpages to make the package completely lintian clean

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 18 Nov 2005 18:40:40 +0100

foo2zjs (20050217-1) unstable; urgency=low

  * New upstream release.
  * Please note that there is an RFA for this package.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 17 Feb 2005 23:26:51 -0600

foo2zjs (20040210-2) unstable; urgency=low

  * Remove the binary-only components from the generated package; if you
    need foo2oak, see http://foo2oak.rkkda.com/.  (Closes: #233311)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 21:05:36 -0600

foo2zjs (20040210-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 15 Feb 2004 02:04:03 -0600

foo2zjs (20030807-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Sep 2003 12:32:07 -0500

foo2zjs (20030702-1) unstable; urgency=low

  * New upstream release:
  	+ Add XML files for Minolta Color PageWorks/Pro L
        + If color has been selected, but there isn't any color on the page,
	  then produce a monochrome ZjStream.

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  2 Jul 2003 22:55:33 -0500

foo2zjs (20030531-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  6 Jun 2003 22:55:43 -0500

foo2zjs (20030526-1) unstable; urgency=low

  * Initial Release.  (Closes: #194572)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 27 May 2003 16:03:54 -0500

